OccurrenceApplicationController (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client

## Class OccurrenceApplicationController

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.client.OccurrenceApplicationController

-     public class OccurrenceApplicationController
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `DELAY`
    `protected static int` | `loadedCounter`
    `protected static int` | `loadingCounter`
    `static OccurrenceManagementServiceAsync` | `occurrenceManagementService` Create a remote service proxy to talk to the server-side Greeting service.
    `protected static int` | `resultCounter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceApplicationController()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `excecuteGetListOccurrences(ElaborationType elaborationType, boolean onlyNotCompleted, boolean notify)`
    `void` | `excecuteGetListOperator()`
    `static com.google.gwt.event.shared.HandlerManager` | `getEventBus()`
    `GxtBorderLayoutMainPanel` | `getMainPanel()`
    `void` | `go(com.google.gwt.user.client.ui.HasWidgets rootPanel)` init method
    `static void` | `initPollingOccurrencesElaboration()`
    `static void` | `initPollingOccurrencesImported()`
    `void` | `startTimerElaboration()`
    `void` | `startTimerImporting()`
    `void` | `stopTimerElaboration()`
    `void` | `stopTimerImporting()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### loadedCounter

          protected static int loadedCounter

    - #### loadingCounter

          protected static int loadingCounter

    - #### resultCounter

          protected static int resultCounter

    - #### occurrenceManagementService

          public static final OccurrenceManagementServiceAsync occurrenceManagementService

      Create a remote service proxy to talk to the server-side Greeting service.

    - #### DELAY

          protected static final int DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OccurrenceApplicationController

          public OccurrenceApplicationController()

  - ### Method Detail

    - #### getEventBus

          public static com.google.gwt.event.shared.HandlerManager getEventBus()

    - #### go

          public void go(com.google.gwt.user.client.ui.HasWidgets rootPanel)

      init method
      Parameters:
        `rootPanel` -

    - #### getMainPanel

          public GxtBorderLayoutMainPanel getMainPanel()

    - #### initPollingOccurrencesImported

          public static void initPollingOccurrencesImported()

    - #### initPollingOccurrencesElaboration

          public static void initPollingOccurrencesElaboration()

    - #### excecuteGetListOperator

          public void excecuteGetListOperator()

    - #### excecuteGetListOccurrences

          public static void excecuteGetListOccurrences(ElaborationType elaborationType,
                                        boolean onlyNotCompleted,
                                        boolean notify)

      Parameters:
        `elaborationType` -
        `onlyNotCompleted` -
        `notify` -

    - #### stopTimerImporting

          public void stopTimerImporting()

    - #### startTimerImporting

          public void startTimerImporting()

    - #### stopTimerElaboration

          public void stopTimerElaboration()

    - #### startTimerElaboration

          public void startTimerElaboration()

Copyright © 2014. All Rights Reserved.